<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="therm.xsl"?>
<!--
 * Copyright (C) 2014 Huawei Inc.
 * Cpu Freq Config
 *
                TYPE                                            AVALIABLE_VALUE
        cpu_maxprofile                    509000 1018000 1210000 1402000 1556000 1690000 1844000
        cpu_minprofile                    509000 1018000 1210000 1402000 1556000 1690000 1844000
        cpu_a15_maxprofile                682000 1018000 1210000 1364000 1498000 1652000 1863000 2093000 2362000
        cpu_a15_minprofile                682000 1018000 1210000 1364000 1498000 1652000 1863000 2093000 2362000
        gpu_maxprofile                    103750000 150909000 237143000 332000000 415000000 550000000 667000000 767000000
        gpu_minprofile                    103750000 150909000 237143000 332000000 415000000 550000000 667000000 767000000
        ddr_maxprofile
        ddr_minprofile
        cpu_number_max                    1,2,3,4
        cpu_number_min                    1,2,3,4
        cpu_a15_number_max                0,1,2,3,4
        cpu_a15_number_min                0,1,2,3,4
        note:
        1. if policy item has not configured, it means close cpupolicy of previous scene.
        2. policy type default value is 0, policy value default value is -1
        3. Don't set ddr_maxprofile for K3V3+ platform
        4. Don't set <threshold_up>0</threshold_up> and <threshold_down>0</threshold_down> for K3V3+ platform
        last modify time:2014-10-18
-->
<!-- scene id
only support these scene
10000    default, must config
10001    popular browser app
10002    popular 3D game
10003    popular ebook
10007    popular camera(fullscreen)
10009    popular video
10011    popular 2D Game
10018    little camera(not fullscreen)
20004    screen off
id >= 100000  cust config, white list
-->
<thermal version="0.08" product="oxf">
<scene name="default" id="10000">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
        <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>37</thresholds>
        <thresholds_clr>35</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>2000</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1863000</cpu_a15>
            <gpu>332000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
        </action>
    </item>
    <item>
        <thresholds>43</thresholds>
        <thresholds_clr>41</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1652000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>2</camera_fps>
            <lcd>12</lcd>
        </action>
    </item>
    <item>
        <thresholds>46</thresholds>
        <thresholds_clr>44</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1018000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>2</camera_fps>
            <lcd>13</lcd>
        </action>
    </item>
    <item>
        <thresholds>51</thresholds>
        <thresholds_clr>49</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>150909000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>2</camera_fps>
            <lcd>15</lcd>
        </action>
    </item>
    <item>
        <thresholds>60</thresholds>
        <thresholds_clr>55</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>2</camera_fps>
            <lcd>16</lcd>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>48</thresholds>
        <thresholds_clr>46</thresholds_clr>
        <action>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>-10</thresholds>
        <thresholds_clr>-8</thresholds_clr>                    <!--  -100C =< T < -5C  -->
        <action battery_level_tri="29" battery_level_clr="30"> <!-- 0% =< A < 30%  -->
            <cpu>1402000</cpu>
            <cpu_a15>1364000</cpu_a15>
            <gpu>237143000</gpu>
            <boost>4</boost>
            <camera_fps>4</camera_fps>
            <pop_up_dialog>0</pop_up_dialog>
        </action>
        <action battery_level_tri="100" battery_level_clr="101"> <!-- 30% =< A < 100%  -->
            <cpu>1402000</cpu>
            <cpu_a15>1364000</cpu_a15>
            <gpu>237143000</gpu>
            <boost>4</boost>
            <camera_fps>3</camera_fps>
            <pop_up_dialog>0</pop_up_dialog>
        </action>
    </item>
    <item>
        <thresholds>-6</thresholds>
        <thresholds_clr>-5</thresholds_clr>                    <!--  -100C =< T < -5C  -->
        <action battery_level_tri="100" battery_level_clr="101"> <!-- 0% =< A < 100%  -->
            <cpu>1402000</cpu>
            <cpu_a15>1364000</cpu_a15>
            <gpu>237143000</gpu>
            <boost>4</boost>
            <camera_fps>3</camera_fps>
            <pop_up_dialog>0</pop_up_dialog>
        </action>
    </item>
    <item>
        <thresholds>-1</thresholds>
        <thresholds_clr>0</thresholds_clr>                     <!--   -5C =< T < 0C  -->
        <action battery_level_tri="49" battery_level_clr="50">     <!--  0% =< A < 50%  -->
            <cpu>1402000</cpu>
            <cpu_a15>1364000</cpu_a15>
            <gpu>237143000</gpu>
            <boost>4</boost>
            <camera_fps>3</camera_fps>
            <pop_up_dialog>0</pop_up_dialog>
        </action>
        <action battery_level_tri="100" battery_level_clr="101">   <!-- 50% =< A < 100%  -->
            <pop_up_dialog>0</pop_up_dialog>
        </action>
    </item>
    <item>
        <thresholds>4</thresholds>
        <thresholds_clr>5</thresholds_clr>                     <!--    0C =< T < 5C  -->
        <action battery_level_tri="19" battery_level_clr="20">  <!--   0% =< A < 20%  -->
            <cpu>1402000</cpu>
            <cpu_a15>1364000</cpu_a15>
            <gpu>237143000</gpu>
            <boost>4</boost>
            <camera_fps>3</camera_fps>
            <pop_up_dialog>0</pop_up_dialog>
        </action>
        <action battery_level_tri="100" battery_level_clr="101">   <!-- 20% =< A < 100%  -->
            <pop_up_dialog>0</pop_up_dialog>
        </action>
    </item>
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>54</thresholds>
        <thresholds_clr>51</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="com.huawei.camera*" id="100070">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
        <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>37</thresholds>
        <thresholds_clr>35</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
        </action>
    </item>
    <item>
        <thresholds>43</thresholds>
        <thresholds_clr>41</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>2</camera_fps>
            <lcd>12</lcd>
        </action>
    </item>
    <item>
        <thresholds>46</thresholds>
        <thresholds_clr>44</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>1863000</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>2</camera_fps>
            <lcd>13</lcd>
        </action>
    </item>
    <item>
        <thresholds>51</thresholds>
        <thresholds_clr>49</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>1863000</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>2</camera_fps>
            <lcd>15</lcd>
        </action>
    </item>
    <item>
        <thresholds>62</thresholds>
        <thresholds_clr>57</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>2</camera_fps>
            <lcd>16</lcd>
            <flash>1</flash>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>-10</thresholds>
        <thresholds_clr>-8</thresholds_clr>                    <!--  -100C =< T < -5C  -->
        <action battery_level_tri="29" battery_level_clr="30"> <!-- 0% =< A < 30%  -->
            <cpu>1402000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>237143000</gpu>
            <boost>4</boost>
            <camera_fps>4</camera_fps>
            <pop_up_dialog>0</pop_up_dialog>
        </action>
        <action battery_level_tri="100" battery_level_clr="101"> <!-- 30% =< A < 100%  -->
            <cpu>1402000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>237143000</gpu>
            <boost>4</boost>
            <camera_fps>3</camera_fps>
            <pop_up_dialog>0</pop_up_dialog>
        </action>
    </item>
    <item>
        <thresholds>-6</thresholds>
        <thresholds_clr>-5</thresholds_clr>                    <!--  -100C =< T < -5C  -->
        <action battery_level_tri="100" battery_level_clr="101"> <!-- 0% =< A < 100%  -->
            <cpu>1402000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>237143000</gpu>
            <boost>4</boost>
            <camera_fps>3</camera_fps>
            <pop_up_dialog>0</pop_up_dialog>
        </action>
    </item>
    <item>
        <thresholds>-1</thresholds>
        <thresholds_clr>0</thresholds_clr>                     <!--   -5C =< T < 0C  -->
        <action battery_level_tri="49" battery_level_clr="50">     <!--  0% =< A < 50%  -->
            <cpu>1402000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>237143000</gpu>
            <boost>4</boost>
            <camera_fps>3</camera_fps>
            <pop_up_dialog>0</pop_up_dialog>
        </action>
        <action battery_level_tri="100" battery_level_clr="101">   <!-- 50% =< A < 100%  -->
            <pop_up_dialog>0</pop_up_dialog>
        </action>
    </item>
    <item>
        <thresholds>4</thresholds>
        <thresholds_clr>5</thresholds_clr>                     <!--    0C =< T < 5C  -->
        <action battery_level_tri="19" battery_level_clr="20">  <!--   0% =< A < 20%  -->
            <cpu>1402000</cpu>
            <cpu_a15>1364000</cpu_a15>
            <gpu>237143000</gpu>
            <boost>4</boost>
            <camera_fps>3</camera_fps>
            <pop_up_dialog>0</pop_up_dialog>
        </action>
        <action battery_level_tri="100" battery_level_clr="101">   <!-- 20% =< A < 100%  -->
            <pop_up_dialog>0</pop_up_dialog>
        </action>
    </item>
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>56</thresholds>
        <thresholds_clr>53</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="screenoff" id="20004">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
        <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>39</thresholds>
        <thresholds_clr>37</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1018000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>0</uvoltage>
            <ucurrent>0</ucurrent>
            <direct_charger>4000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
        </action>
    </item>
    <item>
        <thresholds>42</thresholds>
        <thresholds_clr>39</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>150909000</gpu>
            <uvoltage>0</uvoltage>
            <ucurrent>1200</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
        </action>
    </item>
    <item>
        <thresholds>46</thresholds>
        <thresholds_clr>42</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>150909000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>2000</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
        </action>
    </item>
	<item>
        <thresholds>48</thresholds>
        <thresholds_clr>46</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>150909000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>1500</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
        </action>
    </item>
	<item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>150909000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>1200</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>52</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>42</thresholds>
        <thresholds_clr>39</thresholds_clr>
        <action>
            <direct_charger>4000</direct_charger>
        </action>
    </item>
    <item>
        <thresholds>44</thresholds>
        <thresholds_clr>42</thresholds_clr>
        <action>
            <uvoltage>0</uvoltage>
            <ucurrent>0</ucurrent>
            <direct_charger>3000</direct_charger>
        </action>
    </item>
    <item>
        <thresholds>46</thresholds>
        <thresholds_clr>43</thresholds_clr>
        <action>
            <uvoltage>5</uvoltage>
            <ucurrent>2000</ucurrent>
            <direct_charger>1500</direct_charger>
        </action>
    </item>
    <item>
        <thresholds>55</thresholds>
        <thresholds_clr>50</thresholds_clr>
        <action>
            <uvoltage>5</uvoltage>
            <ucurrent>1200</ucurrent>
            <direct_charger>1500</direct_charger>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <uvoltage>5</uvoltage>
            <ucurrent>1500</ucurrent>
            <direct_charger>1500</direct_charger>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="3dgame" id="10002">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
        <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>1863000</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>2000</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
        </action>
    </item>
    <item>
        <thresholds>43</thresholds>
        <thresholds_clr>41</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1863000</cpu_a15>
            <gpu>332000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
        </action>
    </item>
    <item>
        <thresholds>46</thresholds>
        <thresholds_clr>44</thresholds_clr>
        <action>
            <cpu>1556000</cpu>
            <cpu_a15>1652000</cpu_a15>
            <gpu>332000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>12</lcd>
        </action>
    </item>
    <item>
        <thresholds>49</thresholds>
        <thresholds_clr>47</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1364000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
        </action>
    </item>
    <item>
        <thresholds>54</thresholds>
        <thresholds_clr>52</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>150909000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>15</lcd>
        </action>
    </item>
    <item>
        <thresholds>60</thresholds>
        <thresholds_clr>55</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>34</thresholds>
        <thresholds_clr>32</thresholds_clr>
        <action>
            <app_action>1</app_action>
        </action>
    </item>
    <item>
        <thresholds>37</thresholds>
        <thresholds_clr>35</thresholds_clr>
        <action>
            <app_action>2</app_action>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <app_action>3</app_action>
        </action>
    </item>
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="2dgame" id="10011">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
        <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>2000</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
        </action>
    </item>
    <item>
        <thresholds>43</thresholds>
        <thresholds_clr>41</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1652000</cpu_a15>
            <gpu>332000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
        </action>
    </item>
    <item>
        <thresholds>46</thresholds>
        <thresholds_clr>44</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1498000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>12</lcd>
        </action>
    </item>
    <item>
        <thresholds>49</thresholds>
        <thresholds_clr>47</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1364000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
        </action>
    </item>
    <item>
        <thresholds>54</thresholds>
        <thresholds_clr>52</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>150909000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>15</lcd>
        </action>
    </item>
    <item>
        <thresholds>60</thresholds>
        <thresholds_clr>55</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>34</thresholds>
        <thresholds_clr>32</thresholds_clr>
        <action>
            <app_action>1</app_action>
        </action>
    </item>
    <item>
        <thresholds>37</thresholds>
        <thresholds_clr>35</thresholds_clr>
        <action>
            <app_action>2</app_action>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <app_action>3</app_action>
        </action>
    </item>
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="com.t2ksports.nba2k16android|com.t2ksports.nba2k17android" id="100020">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
        <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
        </action>
    </item>
    <item>
        <thresholds>43</thresholds>
        <thresholds_clr>41</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
        </action>
    </item>
    <item>
        <thresholds>46</thresholds>
        <thresholds_clr>44</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>12</lcd>
        </action>
    </item>
    <item>
        <thresholds>49</thresholds>
        <thresholds_clr>47</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
        </action>
    </item>
    <item>
        <thresholds>54</thresholds>
        <thresholds_clr>52</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>15</lcd>
        </action>
    </item>
    <item>
        <thresholds>60</thresholds>
        <thresholds_clr>55</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>34</thresholds>
        <thresholds_clr>32</thresholds_clr>
        <action>
            <app_action>1</app_action>
        </action>
    </item>
    <item>
        <thresholds>37</thresholds>
        <thresholds_clr>35</thresholds_clr>
        <action>
            <app_action>2</app_action>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <app_action>3</app_action>
        </action>
    </item>
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="com.miHoYo.bh3*|com.miHoYo.enterprise.NGHSoD*|com.tencent.tmgp.bh3" id="100100">
<sensor_temp name="cpu" type="0" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>1863000</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>2000</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
            <app_action>1</app_action>
        </action>
    </item>
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1652000</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
            <app_action>3</app_action>
        </action>
    </item>
    <item>
        <thresholds>59</thresholds>
        <thresholds_clr>57</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1652000</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
            <app_action>3</app_action>
        </action>
    </item>
    <item>
        <thresholds>62</thresholds>
        <thresholds_clr>60</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1652000</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>15</lcd>
            <app_action>3</app_action>
        </action>
    </item>
    <item>
        <thresholds>65</thresholds>
        <thresholds_clr>63</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>1364000</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
            <app_action>3</app_action>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="com.ak.mi|com.netease.zjz*|com.gamesci.u1.hero.prod|com.tencent.tmgp.speedmobile|com.Asphalt.Airborne8|com.netease.onmyoji*|com.tencent.tmgp.dragonnest*|com.tencent.shootgame*|com.wanmei.zhuxian*|com.netease.l10*|com.tencent.tmgp.tstl*|com.netease.my*|com.blizzard.wtcg.hearthstone*" id="100090">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
    <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>1863000</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
            <app_action>0</app_action>
        </action>
    </item>
    <item>
        <thresholds>43</thresholds>
        <thresholds_clr>41</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1863000</cpu_a15>
            <gpu>415000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
            <app_action>1</app_action>
        </action>
    </item>
    <item>
        <thresholds>46</thresholds>
        <thresholds_clr>44</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1652000</cpu_a15>
            <gpu>332000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>12</lcd>
            <app_action>2</app_action>
        </action>
    </item>
    <item>
        <thresholds>49</thresholds>
        <thresholds_clr>47</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1652000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
            <app_action>3</app_action>
        </action>
    </item>
    <item>
        <thresholds>51</thresholds>
        <thresholds_clr>49</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1364000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>15</lcd>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="com.tencent.tmgp.pubgmhd|com.tencent.ig|com.pubg.krmobile|com.epicgames.fortnite" id="100091">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
    <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>37</thresholds>
        <thresholds_clr>35</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>2000</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
            <app_action>0</app_action>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1863000</cpu_a15>
            <gpu>415000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
            <app_action>0</app_action>
        </action>
    </item>
    <item>
        <thresholds>48</thresholds>
        <thresholds_clr>45</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1863000</cpu_a15>
            <gpu>415000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
            <app_action>0</app_action>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>1364000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>15</lcd>
            <app_action>3</app_action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>59</thresholds>
        <thresholds_clr>57</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
            <app_action>3</app_action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="com.mobile.legends" id="100092">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
    <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>37</thresholds>
        <thresholds_clr>35</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1863000</cpu_a15>
            <gpu>415000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>2000</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
            <app_action>0</app_action>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1652000</cpu_a15>
            <gpu>415000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
            <app_action>1</app_action>
        </action>
    </item>
    <item>
        <thresholds>46</thresholds>
        <thresholds_clr>44</thresholds_clr>
        <action>
            <cpu>1210000</cpu>
            <cpu_a15>1652000</cpu_a15>
            <gpu>332000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
            <app_action>2</app_action>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>1364000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>15</lcd>
            <app_action>3</app_action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>59</thresholds>
        <thresholds_clr>57</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
            <app_action>3</app_action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="com.tencent.tmgp.pubgm|com.netease.hyxd*" id="100022">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
        <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>37</thresholds>
        <thresholds_clr>35</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>2000</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
            <app_action>0</app_action>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>2093000</cpu_a15>
            <gpu>415000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
            <app_action>1</app_action>
        </action>
    </item>
    <item>
        <thresholds>48</thresholds>
        <thresholds_clr>46</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1863000</cpu_a15>
            <gpu>415000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>12</lcd>
            <app_action>2</app_action>
        </action>
    </item>
    <item>
        <thresholds>51</thresholds>
        <thresholds_clr>49</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1652000</cpu_a15>
            <gpu>332000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
            <app_action>3</app_action>
        </action>
    </item>
    <item>
        <thresholds>54</thresholds>
        <thresholds_clr>52</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>1364000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>15</lcd>
            <app_action>3</app_action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
            <app_action>3</app_action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="com.tencent.tmgp.sgame|com.garena.game*|com.netmarble.penta|com.ngame.allstar.eu|com.gameloft.android.ANMP.GloftMVHM" id="100110">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
    <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>37</thresholds>
        <thresholds_clr>35</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
            <app_action>0</app_action>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>415000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
            <app_action>0</app_action>
        </action>
    </item>
    <item>
        <thresholds>46</thresholds>
        <thresholds_clr>44</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1863000</cpu_a15>
            <gpu>415000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>12</lcd>
            <app_action>0</app_action>
        </action>
    </item>
    <item>
        <thresholds>51</thresholds>
        <thresholds_clr>49</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1652000</cpu_a15>
            <gpu>332000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
            <app_action>1</app_action>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>150909000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>15</lcd>
            <app_action>3</app_action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>59</thresholds>
        <thresholds_clr>57</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
            <app_action>3</app_action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="video" id="10009">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
        <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>36</thresholds>
        <thresholds_clr>34</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
        </action>
    </item>
    <item>
        <thresholds>39</thresholds>
        <thresholds_clr>37</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1498000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
        </action>
    </item>
    <item>
        <thresholds>42</thresholds>
        <thresholds_clr>40</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1018000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>12</lcd>
        </action>
    </item>
    <item>
        <thresholds>45</thresholds>
        <thresholds_clr>43</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1018000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
        </action>
    </item>
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>150909000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>15</lcd>
        </action>
    </item>
    <item>
        <thresholds>60</thresholds>
        <thresholds_clr>55</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>54</thresholds>
        <thresholds_clr>51</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="com.tencent.tmgp.cf*" id="100120">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
    <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>37</thresholds>
        <thresholds_clr>35</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>2000</ucurrent>
            <direct_charger>2000</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
            <app_action>0</app_action>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>2093000</cpu_a15>
            <gpu>415000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
            <app_action>1</app_action>
        </action>
    </item>
    <item>
        <thresholds>48</thresholds>
        <thresholds_clr>46</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>2093000</cpu_a15>
            <gpu>332000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>12</lcd>
            <app_action>1</app_action>
        </action>
    </item>
    <item>
        <thresholds>51</thresholds>
        <thresholds_clr>49</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1863000</cpu_a15>
            <gpu>332000000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
            <app_action>2</app_action>
        </action>
    </item>
    <item>
        <thresholds>54</thresholds>
        <thresholds_clr>52</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>150909000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>15</lcd>
            <app_action>3</app_action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
            <app_action>3</app_action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>57</thresholds>
        <thresholds_clr>54</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="air.tv.douyu.android*|com.meelive.ingkee*|com.vst.live*|com.huajiao*|com.duowan.kiwi*|com.panda.videoliveplatform*|com.kascend.chushou*|com.smile.gifmaker*|android.zhibo8*" id="100000">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
        <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>37</thresholds>
        <thresholds_clr>35</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1498000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
        </action>
    </item>
    <item>
        <thresholds>43</thresholds>
        <thresholds_clr>41</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1018000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>12</lcd>
        </action>
    </item>
    <item>
        <thresholds>46</thresholds>
        <thresholds_clr>44</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1018000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
        </action>
    </item>
    <item>
        <thresholds>51</thresholds>
        <thresholds_clr>49</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>150909000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>15</lcd>
        </action>
    </item>
    <item>
        <thresholds>60</thresholds>
        <thresholds_clr>55</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>54</thresholds>
        <thresholds_clr>51</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="cld.navi.mainframe*|cn.com.tiros.android.navidog*|com.autonavi.minimap*|com.autonavi.xmgd.navigator*|com.baidu.BaiduMap*|com.baidu.navi*|com.google.android.apps.maps*|com.google.android.maps*|com.google.android.street*|com.google.earth*|com.mapbar.android.mapbarmap*|com.ovital.ovitalMap*|com.pdager.navi*|com.sdu.didi.gsui*|com.sdu.didi.gui*|com.sdu.didi.psnger*|com.didi.echo*|com.sogou.map.android.maps*|com.tencent.map*|com.uu.uunavi*|com.mobike.mobikeapp*|so.ofo.labofo*|cn.caocaokeji.user*|com.ygkj.chelaile.standard*|com.didapinche.booking*|com.jingyao.easybike*|com.bamboo.ibike*|com.cool.coolqi*|com.funcity.taxi.passenger*|com.tigerknows*|com.szzc.ucar.pilot*|com.szzc*|com.wlcxbj.bike*|cn.xq.shareelb*|com.beastbike.bluegogo*|com.xiaoming.bike*|im.xingzhe*|com.yongche.android*|com.yl.ubike*|com.mygolbs.mybus*|com.ttyongche.ttbike*" id="100030">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
        <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>18</thresholds>
        <thresholds_clr>16</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
        </action>
    </item>
    <item>
        <thresholds>39</thresholds>
        <thresholds_clr>37</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1498000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
        </action>
    </item>
    <item>
        <thresholds>42</thresholds>
        <thresholds_clr>40</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1018000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
        </action>
    </item>
    <item>
        <thresholds>45</thresholds>
        <thresholds_clr>43</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>14</lcd>
        </action>
    </item>
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>150909000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>15</lcd>
        </action>
    </item>
    <item>
        <thresholds>60</thresholds>
        <thresholds_clr>55</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>54</thresholds>
        <thresholds_clr>51</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="com.huawei.retaildemo*" id="100050">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
        <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>32</thresholds>
        <thresholds_clr>30</thresholds_clr>
        <action>
            <cpu>1210000</cpu>
            <cpu_a15>1018000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>700</ucurrent>
            <direct_charger>1500</direct_charger>
        </action>
    </item>
    <item>
        <thresholds>60</thresholds>
        <thresholds_clr>55</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>54</thresholds>
        <thresholds_clr>51</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<comb_scene name="com.tencent.mobileqq|com.tencent.mm" id="10007" parent_id="0">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
        <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>36</thresholds>
        <thresholds_clr>34</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
        </action>
    </item>
    <item>
        <thresholds>39</thresholds>
        <thresholds_clr>37</thresholds_clr>
        <action>
            <cpu>1690000</cpu>
            <cpu_a15>1498000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>11</lcd>
        </action>
    </item>
    <item>
        <thresholds>42</thresholds>
        <thresholds_clr>40</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1018000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>12</lcd>
        </action>
    </item>
    <item>
        <thresholds>45</thresholds>
        <thresholds_clr>43</thresholds_clr>
        <action>
            <cpu>1402000</cpu>
            <cpu_a15>1018000</cpu_a15>
            <gpu>237143000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>13</lcd>
        </action>
    </item>
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <cpu>1018000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>150909000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>15</lcd>
        </action>
    </item>
    <item>
        <thresholds>60</thresholds>
        <thresholds_clr>55</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>16</lcd>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>55</thresholds>
        <thresholds_clr>52</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</comb_scene>
<scene name="com.futuremark.dmandroid.application|com.android.cm3|com.antutu.abenchmark|com.antutu.abenchmark.gl2|com.antutu.abenchmark.gl3|com.antutu.videobench|com.aurorasoftworks.quadrant.ui.advanced|com.aurorasoftworks.quadrant.ui.professional|com.drolez.nbench|com.eembc.andebench|com.eembc.coremark|com.ellismarkov.gpubench|com.futuremark.pcmark.android.benchmark|com.glbenchmark.glbenchmark21|com.glbenchmark.glbenchmark27|com.greenecomputing.linpack|com.ludashi.benchmark|com.passmark.pt_mobile|com.primatelabs.geekbench|com.primatelabs.geekbench3|com.quicinc.vellamo|com.rarlab.rarvtg|com.redlicense.benchmark.sqlite|com.rightware.basemarkgui|com.rightware.basemarkosii|com.rightware.tdmm2v10jnifree|com.smartbench.twelve|com.tactel.electopia|com.threed.jpct.bench|com.threed.jpct.benchxl|eu.chainfire.cfbench|gr.androiddev.benchmarkpi|org.broadley.membench|performance.test|se.nena.nenamark1|se.nena.nenamark2|softweg.hw.performance|org.zeroxlab.zeroxbenchmark|com.primatelabs.geekbench4.corporate|com.dhryzi|com.antutu.benchmark.full|net.kishonti.gfxbench.gl*|com.robotium.mark3d
" id="100060">
<sensor_temp name="cpu" type="0" enable="true" min_temp="-25" step="5" to_celsius="1000">
    <item>
        <thresholds>-25</thresholds>
        <thresholds_clr>-23</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
    <item>
        <thresholds>20</thresholds>
        <thresholds_clr>18</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <ucurrent>0</ucurrent>
            <direct_charger>0</direct_charger>
            <camera_fps>0</camera_fps>
            <lcd>0</lcd>
            <benchmark_enhance>1</benchmark_enhance>
        </action>
    </item>
    <item>
        <thresholds>40</thresholds>
        <thresholds_clr>38</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>900</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>2</camera_fps>
            <lcd>11</lcd>
            <benchmark_enhance>1</benchmark_enhance>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <cpu>509000</cpu>
            <cpu_a15>682000</cpu_a15>
            <gpu>103750000</gpu>
            <uvoltage>5</uvoltage>
            <ucurrent>100</ucurrent>
            <direct_charger>1500</direct_charger>
            <camera_fps>2</camera_fps>
            <lcd>16</lcd>
            <benchmark_enhance>0</benchmark_enhance>
        </action>
    </item>
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="ucurrent" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="pa" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <item>
        <thresholds>50</thresholds>
        <thresholds_clr>48</thresholds_clr>
        <action>
            <thermal_safe_mode>0</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>59</thresholds>
        <thresholds_clr>56</thresholds_clr>
        <action>
            <thermal_safe_mode>1</thermal_safe_mode>
        </action>
    </item>
    <item>
        <thresholds>70</thresholds>
        <thresholds_clr>68</thresholds_clr>
        <action>
            <shutdown>10000</shutdown>
        </action>
    </item>
</sensor_temp>
<sensor_temp name="shell_temp" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <item>
        <thresholds>75</thresholds>
        <thresholds_clr>73</thresholds_clr>
        <action>
            <cpu>0</cpu>
            <cpu_a15>0</cpu_a15>
            <gpu>0</gpu>
        </action>
    </item>
</sensor_temp>
</scene>
<scene name="battery_low" id="30000">
    <cpu>1844000</cpu>
    <cpu_a15>1364000</cpu_a15>
    <gpu>332000000</gpu>
    <eas_all>-20</eas_all>
</scene>
<scene name="battery_critical" id="30001">
    <cpu>1018000</cpu>
    <cpu_a15>1364000</cpu_a15>
    <gpu>237143000</gpu>
    <eas_all>-20</eas_all>
</scene>
<flash_disable_by_low_temp sensor_type="9">-5</flash_disable_by_low_temp>
<thermal_safe_mode_threshold sensor_type="22">48</thermal_safe_mode_threshold>
</thermal>
